<style>
	
/* General */

	html {
	  box-sizing: border-box; /* Ensures consistent box-sizing */
    }

    body {
      box-sizing: border-box;
      margin: 0;
      background:
        url("../IMG/IMG_BG/ColorBombBG.jpg");
	  background-repeat: repeat;
	  background-position: center center;
	background-size: clamp(100%, 1683px, 150%);
      padding-top: 80px; /* Space for the nav bar */
      color: rgba(255,255,255,0.9);
    }
	
	body::after {
    content: "";
    position: fixed;
    inset: 0;
    pointer-events: none;
    z-index: 999999;
    box-shadow:
      inset 0 10px 10px rgba(61, 0, 8, 0.35),
      inset 0 -10px 10px rgba(61, 0, 8, 0.35),
      inset 10px 0 10px rgba(61, 0, 8, 0.35),
      inset -10px 0 10px rgba(61, 0, 8, 0.35);
	}

    html, body {
      overflow-x: hidden;
    }
	
	*, *::before, *::after {
	  box-sizing: inherit; /* Inherit box-sizing for all elements */
	}

/* Scrollbar */

	/* Style the scrollbar */
	::-webkit-scrollbar {
	  width: 16px;
	  background-color: #000000;
	}

	/* Style the scrollbar thumb */
	::-webkit-scrollbar-thumb {
	  background-color: #000;
	  border-radius: 8px; /* Rounded edges */
	  border: 4px solid #888; /* Padding between thumb and track */
	}

	/* Hover effect for scrollbar thumb */
	::-webkit-scrollbar-thumb:hover {
	  background-color: #555; /* Darker on hover */
	}

/* Navigation tab */

	#navbar-container {
      margin: 0;
      padding: 0;
	  height: 0px;
	}

.tab {
    overflow: hidden;
    background:
        linear-gradient(
        to right,
        #202020 0%,
	    #202020 100%
        ),
        url("../IMG/IMG_BG/Noise.jpg") repeat;
    background-size:
        100% 100%,
        128px 128px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    box-shadow: 0 6px 20px 0 rgb(65 0 0 / 61%);
    z-index: 9998;
    display: flex;
    align-items: center;
    padding: 0 50px;
    height: 80px; /* Define height of the nav bar */
}
	
	.tab .logo {
      margin-top: 5px;
	  margin-right: 0.5rem;
    }

	.tab .logo img:hover {
       transform: scale(1.2);
    }

    .tab .logo img {
      height: 60px; /* Adjust the height as needed */
      width: auto;
      display: inline-block;
	  vertical-align: middle;
	  transition: transform 0.4s ease;
    }

    .tab .NavTitle {
      display: flex;
	  flex: 0 1 auto; /* allow it to shrink/grow naturally */
      flex-direction: row;
	  align-items: center;
      justify-content: center;
    }

    .tab .NavTitle-Text {
      font-size: clamp(0.7rem, 2.5vw, 1rem);
      letter-spacing: 0.12em;
      text-transform: uppercase;
      opacity: 0.6;
    }

    .tab .nav-links a {
      background-color: inherit;
      text-align: center;
      cursor: pointer;
      padding: 14px 16px;
      transition: 0.3s;
      font-size: 20px;
      color: #ddd;
      text-decoration: none;
	  display: inline-block;
    }

    .tab .nav-links a:hover {
      color: #0ff;
	  text-shadow:
		0 0 5px #0ff,
		0 0 10px #0ff,
		0 0 20px #0ff,
		0 0 40px #0ff;
	  transform: scale(1.2);
	}
	
	/* Dropdown menu */

    .dropdown {
      display: none;
      color: #ddd;
    }

    .dropdown-content {
      display: none;
      position: fixed;
      background-color: #333;
      box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
      z-index: 1000;
      top: 80px; /* Desktop navbar height */
      width: 100%;
      height: auto; /* Ensure height adjusts to fit content */
      padding: 0px;
    }

    .dropdown-content a {
      display: block; /* Make the buttons stack vertically */
      padding: 10px 20px;
      text-align: left; 
      border-bottom: 1px solid #444; 
    }

    .dropdown-content a:hover {
      background-color: #ddd;
      color: black;
    }

    .show {
      display: block;
    }

/* Page */

    .page {
      display: block;
    }

/* Footer */

	footer {
		left: 0;
		right: 0;
		bottom: 0;
		box-sizing: border-box;
		background:
			linear-gradient(
			to right,
			#202020 0%,
			#202020 100%
			),
			url("../IMG/IMG_BG/Noise.jpg") repeat;
		background-size:
			100% 100%,
			128px 128px;
		box-shadow: 0 -6px 20px 0 rgb(65 0 0 / 61%);
		padding: 20px 0;
		text-align: center;
		margin-top: auto;
	}

	.footer-content {
      margin-bottom: 20px;
	}
	
	.footer-content p {
      margin-bottom: 10px;
      margin-inline: auto;
      text-align: center;
	  color: #fff;
	}

	.social-media a {
      color: #fff;
      margin: 0 10px;
      font-size: 24px;
	  transition: 0.3s;
	  display: inline-block;
	}

	.social-media a:hover {
      color: #0ff;
	  text-shadow:
		0 0 10px #0ff;
		transform: scale(1.2);
	}

/* Scroll arrow button */

	.scroll-arrow {
      position: fixed;
      bottom: 20px;
      right: 30px;
	  width: 50px;            /* Set a fixed width */
      height: 50px;           /* Set the height equal to the width */
      background-color: #333;
      border: 3px solid white; /* White border added */
      color: white;
      font-size: 24px;
      padding: 10px;
      border-radius: 50%;
	  display: flex;
      justify-content: center;
      align-items: center;
      text-align: center;
      cursor: pointer;
      z-index: 1000; /* Ensures it's on top */
      transition: opacity 0.5s ease;
	}

/* Changes based on screen size */

	/* Dropshadow remove */
	@media (max-width: 1200px) {
		  body::after {
		    box-shadow: none;
		  }
	}
	/* Desktop: 1024px+ */
    @media (min-width: 1024px) {
		
		.tab {
		  flex-direction: row;
		  justify-content: flex-start;
          height: 80px;
          padding: 0 50px;
        }
		
		.tab .dropdown {
		  display: none;
		}
		
		.dropdown-content {
		  display: none;
		}
		
        .tab .nav-links {
          display: flex;
          gap: 20px;
          margin-left: auto;
		}

        .dropdown-content {
          display: none;
        }
    }
	
	/* Tablet: 650px – 1023px */
	@media (min-width: 750px) and (max-width: 1024px) {
		.tab {
		  flex-direction: row;
		  justify-content: space-between;
		  height: 80px;
		  padding: 0 30px;
		  box-shadow: none;
		}

		.tab .dropdown {
          display: block; /* show hamburger on mobile */
          order: 1;
		  margin-inline: 10px;
		  font-size: 28px;
		}
		
		.tab a.dropdown {
		 margin: 0px;
		}
		
		.dropdown-content {
          top: 80px;
          width: 100%;
		}
		
		.dropdown-content a {
		  padding-block: 20px;
		}
		
		.tab .nav-links {
          display: none; /* hide nav links on mobile */
		} 

		.tab .NavTitle-Text {
		  white-space: nowrap;
		}

		.tab .logo img {
		  height: 50px;
		}
		
		footer {
			box-shadow: none;
		}
	}

    @media (max-width: 750px) {

        .tab {
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          height: 80px;
          padding: 0 15px;
		  box-shadow: none;
		}

		.tab .dropdown {
          display: block; /* show hamburger on mobile */
          order: 1;
		  margin-inline: 10px;
		  font-size: 28px;
		}
		
		.tab a.dropdown {
		 margin: 0px;
		}
		
		.dropdown-content {
          top: 80px;
          width: 100%;
		}
		
		.dropdown-content a {
		  padding-block: 20px;
		}

		.tab .NavTitle {
          order: 2;
          flex: 1;
          text-align: center;
		}

		.tab .NavTitle-Text {
		  display: inline-block;
		  max-width: clamp(200px, 70vw, 600px);
		  overflow-wrap: break-word;
		  text-align: center;
          white-space: normal;
		}

		.tab .logo {
          order: 3;
		  margin-left: 10px;
		}

		.tab .logo img {
          height: 40px;
		}

		.tab .nav-links {
          display: none; /* hide nav links on mobile */
		}
		
		footer {
			box-shadow: none;
		}
    }

</style>